Bug 165342 - Please include a simple mechanism to add PAM modules
Please include a simple mechanism to add PAM modules
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-08 06:23 EDT by Linus van Geuns
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: authconfig-5.0.4-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-05 11:48:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Linus van Geuns 2005-08-08 06:23:43 EDT
Please include a simple mechanism to add PAM modules to the system-auth stack.
There are more complex setups than authconfig allows to configure and I don't
want to add them to every PAM service configuration file or rewrite
/etc/pam.d/system-auth every time authconfig was called.
A simple configuration containing a list of additional lines to include in
system-auth would be eough.
Comment 1 Tomas Mraz 2005-08-23 05:15:17 EDT
I'll consider this for in the development process for FC.
Comment 2 Tomas Mraz 2005-12-05 11:48:49 EST
Your proposed solution wouldn't be universal enough.

The PAM configuration is now written in system-auth-ac file which is then
symlinked from system-auth, the symlink is not overwritten so local PAM
configuration is now possible. You just create for example system-auth-local and
change the /etc/pam.d/system-auth symlink to point to that file. You can also
'include' the system-auth-ac if you just want to add some pam modules before or
after the system-auth-ac configuration.

Note You need to log in before you can comment on or make changes to this bug.